#!/bin/bash

chroot_socket="{{ mbstat.dirs.chroot }}/var/lib/mysql/mysql.sock"
real_socket="/var/lib/mysql/mysql.sock"

mysql_enabled=$(systemctl is-enabled mysqld 2>/dev/null)
if [ "$mysql_enabled" == "enabled" ]; then
	while [ ! -S $chroot_socket ]
	do
		if [ -S $real_socket ]; then
			if [ ! -f $chroot_socket ]; then
				touch $chroot_socket
			fi
			
			echo "mount $real_socket => $chroot_socket"
			mount -o bind,ro,noexec $real_socket $chroot_socket
			
			exit 0
		else
			sleep 5
		fi
	done
fi
